Skip to content

Modify Webhook configuration

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

You need to specify webhookId, and you can specify webhook name, webhook callback address, request data format, user real name, whether to enable, and request key parameters to modify webhook

Method name

ManagementClient.updateWebhook

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
webhookIdstringYes-Webhook ID6229ffaxxxxxxxxcade3e3d9
namestringNo-Webhook nameUser created event
urlstringNo-Webhook callback addresshttps://example.com/callback
eventsstring[]No-User's real name, not unique. Example value: Zhang San["user:created"]
contentTypestringNo-Request data formatapplication/json
enabledbooleanNo-Enabledtrue
secretstringNo-Request keyxxxxxxxxxxxx

Example code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.updateWebhook({
    webhookId: "6229ffaxxxxxxxxcade3e3d9",
    name: "User creation event",
    url: "https://example.com/callback",
    events: ["user:created"],
    contentType: Models.WebhookDto.contentType.APPLICATION_JSON,
    enabled: true,
    secret: "xxxxxxxxxxxx",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: UpdateWebhooksRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a WebhookDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "webhookId": "6229ffaxxxxxxxxcade3e3d9",
    "createdAt": "2022-07-03T02:20:30.000Z",
    "updatedAt": "2022-07-03T02:20:30.000Z",
    "name": "User created event",
    "url": "https://example.com/callback",
    "contentType": "application/json",
    "enabled": true,
    "events": "[\"user:created\"]",
    "secret": "xxxxxxxxxxxx"
  }
}

Data structure

WebhookDto

NameTypeIs it required?DescriptionSample value
webhookIdstringYesWebhook ID6229ffaxxxxxxxxcade3e3d9
createdAtstringYesCreation time2022-07-03T02:20:30.000Z
updatedAtstringYesUpdate time2022-07-03T02:20:30.000Z
namestringyesWebhook nameUser created event
urlstringyesWebhook callback addresshttps://example.com/callback
contentTypestringyesRequest data formatapplication/json
enabledbooleanyesEnabled or nottrue
eventsarraynoUser's real name, not unique. Example value: Zhang San["user:created"]
secretstringnoRequest keyxxxxxxxxxxxx

Agent infrastructure for identity, memory, and web action.